Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 469812 - sys-process/wait_on_pid : does not respect CC
Summary: sys-process/wait_on_pid : does not respect CC
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal QA (vote)
Assignee: Matthias Schwarzott
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2013-05-14 09:24 UTC by Agostino Sarubbo
Modified: 2013-05-30 10:16 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
wait_on_pid-0.0.1-r1.ebuild (wait_on_pid-0.0.1-r1.ebuild,783 bytes, text/plain)
2013-05-20 17:36 UTC, Michael Mair-Keimberger (iamnr3)
Details
patch against makefile (wait_on_pid-makefile.patch,284 bytes, patch)
2013-05-20 17:37 UTC, Michael Mair-Keimberger (iamnr3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-05-14 09:24:41 UTC
You receive this bug because this package does not respect my system's CC (x86_64-pc-linux-gnu-gcc) and calls directly /usr/bin/gcc(or similar)
The possible solutions to fix this issue are:
1)Fix the buildsystem, if you can;
2)inherit toolchain-funcs and use tc-export CC
3)inherit toolchain-funcs and use emake CC="$(tc-getCC)"


From the build log:

cc -march=native -O2 -g0 -pipe  -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu  wait_on_pid.c   -o wait_on_pid
Comment 1 Michael Mair-Keimberger (iamnr3) 2013-05-20 17:36:55 UTC
Created attachment 348776 [details]
wait_on_pid-0.0.1-r1.ebuild

I've updated the ebuild and created a patch for the makefile. This should fix the direct calling. please review
Comment 2 Michael Mair-Keimberger (iamnr3) 2013-05-20 17:37:15 UTC
Created attachment 348778 [details, diff]
patch against makefile
Comment 3 Joerg Bornkessel gentoo-dev 2013-05-20 19:20:03 UTC
iam fixed the Makefile in the wait_on_pid sources
this results in a new version -> wait_on_pid-0.0.2

please recheck

Note: wait_on_pid-0.0.2 is now unstable on ~ARCH


Thanks for help out